<?php

require_once("sys_config.php");


// POSTƤGET˥ԡ
if(isset($_POST["mode"])){
  $_GET = $_POST;
}

if(isset($_GET["mode"])){
  // ǡ줿
  switch($_GET["mode"]){
    case "insert":
      // ǡξ
      print insertData($_GET);
      break;
    case "edit":
      // ǡԽξ
      print editData($_GET);
      break;
    case "delete":
      // ǡξ
      print deleteData($_GET);
      break;
    default:
      // ʳξ
      print ERROR;
  }
}else{
  // ǡʤä
  print ERROR;
}

/**
 * 쥳ɤ
 */
function insertData($data,$setid = 0){
  if(!validate($data)){
    // ѥ᡼Ĵ٤
    return ERROR;
  }
  // 쥳ɤIDꤹ
  if($setid == 0){
    $id = getCurrentID() + 1;
  }else{
    $id = $setid;
  }

  // ե򳫤ɵ
  $file = fopen("./data/".$data["year"].$data["month"].".dat","a");
  $table_file = fopen("./data/id_table.dat","a");

  // 쥳ɤID,,ϻ,λ,ͽͽ
  $record = $id.",".$data["date"].",".$data["start"].",".$data["finish"]."\n";
  $table_col = $id.",".$data["year"].$data["month"]."\n";

  // 쥳ɤ񤭹
  if(fwrite($file,$record) && fwrite($table_file,$table_col)){
    fclose($file);
    fclose($table_file);
  }else{
    return ERROR;
  }

  return $id;
}

/**
 * 쥳ɤԽ
 */
function editData($data){
  
  // Ť쥳ɤ
  if(!deleteData($data)){
    return ERROR;
  }

  // 쥳ɤ
  if(!insertData($data,$data["id"])){
    return ERROR;
  }

  return SUCCESS;

}

/**
 * 쥳ɤ
 */
function deleteData($data){
  if(!validate($data)){
    return ERROR;
  }
  
  $table = getIDTable();

  // IDꤵƤ뤫ɤĴ٤
  if(!array_key_exists(intval($data["id"]),$table)){
    return ERROR;
  }
  
  // ͽե뤫쥳ɤ
  $file = fopen("./data/".$table[$data["id"]].".dat","r");
  $file_lines = array();
  while(!feof($file)){
    $cols = fgetcsv($file,100000,",");
    if($cols[0] != $data["id"] && $cols[0] != ""){
      array_push($file_lines,$cols);
    }
  }
  fclose($file);
  
  $file = fopen("./data/".$table[$data["id"]].".dat","w+");
  foreach($file_lines as $line){
    fwrite($file,implode(",",$line)."\n");
  }
  fclose($file);
  
  // IDɽ쥳ɤ
  $file = fopen("./data/id_table.dat","w+");
  foreach($table as $key => $value){
    if($key != $data["id"] && $key != ""){
      fwrite($file,$key.",".$value."\n");
    }
  }
  
  return true;

}

/**
 * ͤĴ٤
 *
 * @param unknown_type $data
 * @return unknown
 */
function validate(&$data){
  if($data["mode"] != "insert"){
    if(!isset($data["id"])){
      return false;
    }
  }
  if($data["mode"] != "delete"){
    if(!isset($data["year"]) || !isset($data["month"]) || !isset($data["date"]) || !isset($data["start"]) || !isset($data["finish"])){
      return false;
    }else{
      if(!checkdate(intval($data["month"]),intval($data["date"]),intval($data["year"]))){
        return false;
      }
      if(intval($data["start"]) < START_TIME || intval($data["start"]) > FINISH_TIME || intval($data["finish"]) < START_TIME || intval($data["finish"]) > FINISH_TIME){
        return false;
      }
    }
    if($data["month"] < 10 && strlen($data["month"]) < 2){
      $data["month"] = "0".$data["month"];
    }
  }

  return true;
}

/**
 * IDͽե(ǯ)бɽ
 */
function getIDTable(){
  $id_table = array();
  if(file_exists("./data/id_table.dat")){
    $file = fopen("./data/id_table.dat","r");
    while(!feof($file)){
      $line = fgetcsv($file,100000,",");
      if($line[0] != ""){
        $id_table[$line[0]] = $line[1];
      }
    }
    fclose($file);
  }
  return $id_table;
}

/**
 * ߻ȤƤIDο
 */
function getCurrentID(){
  $id_table = getIDTable();
  $current_key = 0;
  foreach($id_table as $key => $value){
    $key = intval($key);
    if($key > $current_key){
      $current_key = $key;
    }
  }
  return $current_key;
}
?>